
Redmine - Defect #27902

Overview page is very slow for private projects with large number of members

2018-01-05 17:24 - simon butcher

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I have over 2000 members in a non-public project. Hence, these members get shown on the overview page. This makes the display

of the overview page take around 3-4seconds.

..

  Rendered projects/_members_box.html.erb (579.5ms)

  Rendered projects/show.html.erb within layouts/base (596.2ms)

...

Completed 200 OK in 3430ms (Views: 622.8ms | ActiveRecord: 37.4ms)

Related issues:

Related to Redmine - Feature #2585: Add Modules to hide/display Overview, Act... New 2009-01-26

History

#1 - 2018-01-07 14:01 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please see submissions.

#2 - 2018-01-08 10:21 - simon butcher

Environment:

  Redmine version                3.4.3.stable

  Ruby version                   1.9.3-p484 (2013-11-22) [x86_64-linux]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.8

  Git                            1.9.1

  Filesystem                     

Redmine plugins:

  redmine_agile                  1.4.5

  redmine_contacts               4.1.1

  redmine_contacts_helpdesk      3.0.9

(I also tried with ruby 2.1.5 but that was the same.). The group has 2222 members which get shown on the members list on the overview page, with

no option to turn this listing off.

#3 - 2018-01-30 17:55 - Toshi MARUYAMA

- Related to Feature #2585: Add Modules to hide/display Overview, Activity, Roadmap added

#4 - 2018-01-30 17:55 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#5 - 2019-01-26 10:27 - Yuuki NARA

+1

In the case of a large-scale environment, it seems that you should set the access authority on a group basis, and display it by the group name unit.

I used LotusNotes before Redmine,
In the access right setting screen of LotusNotes, it was displayed in the group definition unit used for the ACL setting.

#6 - 2020-08-21 09:50 - Aleksandar Pavic

+1

We are using it as a helpdesk, with huge number of issues, totally blocks system and uses much resources!

Powered by TCPDF (www.tcpdf.org)

2025-07-13 2/2

http://www.tcpdf.org

